////////////////////////////////////////////////////////////////////////
//
//        File  Name : win.h
//        Class Name : window
//        Author     : Young-ki Hwang
//        Date       : April 30, 1996
//        Description: This is the "window" class definition. This class
//                     is for window manipulating. 
//
///////////////////////////////////////////////////////////////////////

#include <curses.h>
#include <stdio.h>

// From the C library functions
extern "C" stty(...);
extern "C" gtty(...);


#ifndef _window_h
#define _window_h

class  window  
{
   private : 
     WINDOW *win;            // pointer to the window
     int    lines,           // number of lines of the window
            cols,            // number of columns of the window
            start_line,      // start line of the window
            start_col,       // start column of the window
            currentx,        // current column number
            currenty;        // current line number

   public :
      window(int line, int col, int start_y, int start_x); 
      makescroll();                      
      clearall();                        
      cleartobottom();
      cleartoeol();                      
      drawborder(char a, char b);       
      getstring(char *str);               
      putstring(char *str);
      char getcharacter();
      putcharacter(char ch);
      deletecharacter();
      display();
      destroy();
      moveto(int y, int x);
      get_cur_coordinate();

};
  
#endif






